#ifndef DIALOGSELECTCHARGINGPROFILES_H
#define DIALOGSELECTCHARGINGPROFILES_H

#include <QDialog>
#include <QLabel>

namespace Ui {
class DialogSelectChargingProfiles;
}

class DialogSelectChargingProfiles : public QDialog
{
    Q_OBJECT

public:
    explicit DialogSelectChargingProfiles(QWidget *parent = nullptr);
    ~DialogSelectChargingProfiles();

    QString getPurpose();

private:
    void initWidget();
    void initConnect();
    void initComboBox();
    void setBackground();
    void centerWindow();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::DialogSelectChargingProfiles *ui;
    QLabel* m_background;
};

#endif // DIALOGSELECTCHARGINGPROFILES_H
